POST api/Insured/InsuredXDatesAndLinesOfBusiness
Insured X-Dates and Lines of Business list endpoint.
Request Information
URI Parameters
None.
Body Parameters
List of insured database Ids.
InsuredDataBaseIds| Name | Description | Type | Additional information |
|---|---|---|---|
| InsuredDataBaseId | Collection of globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"insuredDataBaseId": [
"6dc63a46-ebcf-4302-b3d1-bc012ac730f8",
"7610dc39-90d3-4663-86df-37775704e216"
]
}
application/xml, text/xml
Sample:
<InsuredDataBaseIds xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.OData">
<InsuredDataBaseId xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:guid>6dc63a46-ebcf-4302-b3d1-bc012ac730f8</d2p1:guid>
<d2p1:guid>7610dc39-90d3-4663-86df-37775704e216</d2p1:guid>
</InsuredDataBaseId>
</InsuredDataBaseIds>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
List of XDatesLinesOfBusiness against given insured database Ids.
XDatesLinesOfBusiness| Name | Description | Type | Additional information |
|---|---|---|---|
| DatabaseId | globally unique identifier |
None. |
|
| XDate | date |
None. |
|
| LineOfBusinessName | string |
None. |
|
| InsuredDatabaseId | globally unique identifier |
None. |
Response Formats
application/json, text/json
Sample:
{
"databaseId": "b966fbcf-9de5-4cd3-824b-2fa851453360",
"xDate": "2026-11-10T17:53:12.543252-06:00",
"lineOfBusinessName": "sample string 2",
"insuredDatabaseId": "91c9be5a-f1fb-4204-af74-48f867deea51"
}
application/xml, text/xml
Sample:
<XDatesLinesOfBusiness xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BusinessEntities.NowCertsFulcrum"> <DatabaseId>b966fbcf-9de5-4cd3-824b-2fa851453360</DatabaseId> <InsuredDatabaseId>91c9be5a-f1fb-4204-af74-48f867deea51</InsuredDatabaseId> <LineOfBusinessName>sample string 2</LineOfBusinessName> <XDate>2026-11-10T17:53:12.543252-06:00</XDate> </XDatesLinesOfBusiness>